using System.Threading.Tasks;
using Volo.Abp.DependencyInjection;

namespace ApiB.Data
{
    /* This is used if database provider does't define
     * IApiBDbSchemaMigrator implementation.
     */
    public class NullApiBDbSchemaMigrator : IApiBDbSchemaMigrator, ITransientDependency
    {
        public Task MigrateAsync()
        {
            return Task.CompletedTask;
        }
    }
}